#
# Definitions
#

ARC_LOCATION = /opt/arc
GLOBUS_LOCATION = /opt/globus

GLOBUS_FLAVOR_NAME = gcc32dbgpthr
GLOBUS_INCLUDES = -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOR_NAME)
GLOBUS_LIBS = $(GLOBUS_LOCATION)/lib

PYTHON_INCLUDES = -I/usr/include/python$(shell python -V 2>&1 | cut -f2 -d' ' | cut -f1,2 -d.)

SWIG_INCLUDES = -I$(shell swig -swiglib)/python
# Eg. -I/usr/lib/swig1.3

LIBXML2_INCLUDES = $(shell xml2-config --cflags)
# Eg. -I/usr/include/libxml

# Specify whether we should use the ldap includes from the system
# or Globus
USE_GLOBUS_OPENLDAP = yes
