#ifndef __HTTPSD_SRM_URL_H__
#define __HTTPSD_SRM_URL_H__

#include "../../misc/url_options.h"

class SRM_URL:public URL {
 private:
  std::string filename;
 public:
  SRM_URL(const char*);
  ~SRM_URL(void) { };
  const std::string& Endpoint(void) const { return Path(); };
  const std::string& FileName(void) const { if(!valid) return empty; return filename; };
  std::string ContactURL(void) const ;
  std::string BaseURL(void) const;
  std::string ShortURL(void) const;
};

#endif // __HTTPSD_SRM_URL_H__
