//gsoap nj service name: ARCJobTypes
//gsoap nj service namespace: http://www.nordugrid.org/ws/schemas/ARCJobTypes

//gsoap njf service name: ARCJobFactory
//gsoap njf service portType: ARCJobFactoryPortType
//gsoap njf service namespace: http://www.nordugrid.org/ws/schemas/ARCJobFactory
//gsoap njf service documentation: Interface to start new jobs and to query existing jobs
//gsoap njf service method-documentation: create Submit new job
//gsoap njf service method-documentation: query Get list of job matching request
//gsoap njc service name: ARCJobControl
//gsoap njc service portType: ARCJobControlPortType
//gsoap njc service namespace: http://www.nordugrid.org/ws/schemas/ARCJobControl
//gsoap njc service documentation: Interface to control jobs
//gsoap njc service method-documentation: query Get job parameters
//gsoap njc service method-documentation: modify Modify job

/* Job Control Service */
class nj__attributeType {
  char* name;
  char* value;
};

class nj__definitionType {
 public:
  char* description;
};

class nj__stateType {
 public:
  int* failure_code;
  char* failure_reason;
  char* state;
  char* id;
  char* url;
  nj__definitionType* def;
  int __size_attribute;
  nj__attributeType* attribute;
};

class __infosType {
  int __size_job;
  nj__stateType* job;
};

// Create new job.
int njf__create(
  int __size_definition,
  nj__definitionType* definition,
  __infosType& r
);

// Get list of matching jobs
int njf__query(
  int __size_pattern,
  nj__stateType* pattern,
  __infosType& r
);

// Serve particular job
class __infoType {
  nj__stateType* info;
};

// Get info about job
int njc__query(
  nj__stateType* pattern,
  __infoType& r
);

// Modify job's parameters
int njc__modify(
  nj__stateType* modification,
  __infoType& r
);

